Bug 133568 - After Changing Default Load/Save File Type while Running Calc Reset or Change to Another File Type Failed to Update in Setting Properly
Summary: After Changing Default Load/Save File Type while Running Calc Reset or Change...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.3.6.2 release
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Options-Dialog-Load-Save
  Show dependency treegraph
 
Reported: 2020-05-31 20:57 UTC by distantlightning
Modified: 2022-10-29 03:38 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Test File, As Requested - Lotus 1-2-3 File (88.03 KB, application/octet-stream)
2020-10-22 17:11 UTC, distantlightning
Details

Note You need to log in before you can comment on or make changes to this bug.
Description distantlightning 2020-05-31 20:57:05 UTC
Description:
After importing a Lotus 1-2-3 Spreadsheet file (.WK4) into Calc, which worked just fine, I wanted to save it to a text file format for later processing. I experimented with several save formats from the normal File "Save As" dialog without issue. Since I wanted to automate the process to load and save a number of files, I wanted the default save format to be the chosen one. I went to the Tools-Options-Load/Save-General dialog page and changed "Always save as" to several different formats experimentally, the last being .HTML. Then, when selecting File Save or Save As it properly displayed the default option set to .HTML and worked properly. But, if I went back to the options dialog and set it back to the ODF Text Document format, or used Reset and Applied the setting, even though it consistently displayed what you have selected in the Options Dialog Box after applied and upon reopening this box, when opening File Save or Save As .HTML is still displayed as default.

I should note, this is only reproduced if you import another .WK4 file. The Save or Save As file will be correct if you open another spreadsheet file saved in the .ODS. I did not think to try creating a new document. But, when importing another .WK4 file, and the loaded file name is shown as *.WK4, clicking Save or Save As defaults to .HTML even though it's set to the default in the Options Dialog. 

I could find no way to fix this without deleting the user profile. I tried reinstalling, etc. The system did not crash or behave abnormally otherwise.

I did not try changing it again after fixing as it was too much of a headache. I can supply one or more .WK4 spreadsheet files of those are needed to work on this and try to reproduce on your side. 

I am not sure if this is a problem with other file types. It's probably a low priority issue. But, unless it is a fluke it is a problem. It seems strange to me that the system seems to remember the old .HTML value only when opening files of the .WK4 Type. I wouldn;t expect it to remember this in any case, and if the default is changed it should apply no matter what type file was opened. 

Steps to Reproduce:
1.Import .WK4 file
2. Change Options - Always Save As to .HTML (Maybe try several others and test first)
3. Save or Save As *.HTML
4. Change Options Always Save as to any other value and apply.
5. Save or Save As default will remain .HTML for files loaded as .WK4 only.
Note - problem occurs across program reloads, system restart and reinstall. Only resetting the user profile fixes it. 

Actual Results:
Default Save/save As file type remained .HTML

Expected Results:
Should change to Default File format selected in Options.  


Reproducible: Always


User Profile Reset: Yes



Additional Info:
Save or Save As should default to the default file format selected in Options.
Comment 1 Buovjaga 2020-10-16 13:39:37 UTC
If it is dependent on opening a WK4 file, please attach a minimal example file, so everyone can quickly test.

Please attach an example document.
Set to NEEDINFO.
Change back to UNCONFIRMED after you have provided the document.
Comment 2 distantlightning 2020-10-22 17:11:45 UTC
Created attachment 166641 [details]
Test File, As Requested - Lotus 1-2-3 File

This is a requested test file. I have not tested this specific file. But, it is of the exact same construction as all others which created the problem noted only scrubbed of personal information.
Comment 3 QA Administrators 2020-10-23 04:16:11 UTC Comment hidden (obsolete)
Comment 4 Buovjaga 2020-10-28 16:39:18 UTC
(In reply to distantlightning from comment #0)
> Steps to Reproduce:
> 1.Import .WK4 file
> 2. Change Options - Always Save As to .HTML (Maybe try several others and
> test first)
> 3. Save or Save As *.HTML
> 4. Change Options Always Save as to any other value and apply.
> 5. Save or Save As default will remain .HTML for files loaded as .WK4 only.
> Note - problem occurs across program reloads, system restart and reinstall.
> Only resetting the user profile fixes it. 

I reproduce with the file.

Step 2 should be Tools - Options - Load/Save - General - Document type: Spreadsheet

Arch Linux 64-bit
Version: 7.1.0.0.alpha1+
Build ID: 496771a6466d6a48f0bcbd8976df24308e052f38
CPU threads: 8; OS: Linux 5.9; UI render: default; VCL: kf5
Locale: fi-FI (fi_FI.UTF-8); UI: en-US
Calc: threaded
Built on 28 October 2020
Comment 5 QA Administrators 2022-10-29 03:38:58 UTC
Dear distantlightning,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug